'\" t
.\"     Title: irkerhook-debian
.\"  Language: English
.\"
.TH "IRKERHOOK\-DEBIAN" "1" "14/03/2016"
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
irkerhook-debian \- A simple wrapper for generating irker notifications
.SH "SYNOPSIS"
.sp
\fBirkerhook\-debian\fR \fImessage\fR
.SH "DESCRIPTION"
.sp
Irkerhook\-debian is a simple wrapper around irk for providing notifications
from service startup or monitoring scripts\&.
.PP
A symlink to the irkerhook\-debian script should be added to the service\&.
.PP
The behaviour of the script can be configured for each service via a /etc/default/<symlink name> file\&.
.PP
The script recognises 2 configuration options:
.PP
\fBIRC_CHANNELS\fR
.RS 4
A list of channels to post the notification to.
.PP
.RE
\fBIRK_ENABLED\fR
.RS 4
Set IRK_ENABLED to "true" to enable notifications. For other values,
notifications will be disabled.
.RE
.SH "SEE ALSO"
.sp
\&\fIirk\fR\|(1), \fIirkerhook\fR\|(1)
.SH "AUTHORS"
.sp
.nf
This manual page was written by Neil Muller <drnlmuller+debian@gmail\&.com>\&.
.SH "LICENSE"
.sp
.nf
This package is licensed under the BSD 2 clause license.
You can find the full text of the license in
/usr/share/doc/irker/copyright\&.
